﻿<%@ Page Title=""
         Language="C#"
         MasterPageFile="~/Main.Master"
         AutoEventWireup="true"
         CodeBehind="Licensing.aspx.cs"
         Inherits="BlueDot.Eam.Core.Server.Licensing" %>

<%@ Register Assembly="AjaxControlToolkit"
             Namespace="AjaxControlToolkit"
             TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

    <script type="text/javascript">

        function selectAll(spanChk) {

            var itemChk = $(".chkItem input");
            if (itemChk != null) {
                itemChk.each(function() {
                    this.checked = spanChk.checked;
                });
            }

        }

        function itemChecked(indItemChk) {

            if (!indItemChk.checked) {
                var headerChk = $(".chkHeader input");
                headerChk[0].checked = indItemChk.checked;
                //chkB.parentElement.parentElement.style.backgroundColor = '';
            }
            else {
                //chkB.parentElement.parentElement.style.backgroundColor = '';
            }
        }
    </script>

    <asp:Panel ID="MainContentPanel" runat="server">
    
        <div class="Intro" style="width: 785px;">
            <div class="Intro" style="vertical-align: middle; display: inline;">
                <p>
                    <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:ManageLicences %>"/>:
                    <asp:DropDownList ID="ModuleDropDownList"
                                      runat="server"
                                      DataSourceID="LinqDataSource1"
                                      DataTextField="Name"
                                      DataValueField="ModuleId"
                                      Width="200px"
                                      AppendDataBoundItems="True"
                                      AutoPostBack="True">
                    </asp:DropDownList>
                </p>
            </div>
        </div>
        
        <asp:LinqDataSource ID="LinqDataSource1"
                            runat="server"
                            ContextTypeName="BlueDot.Eam.Core.ModuleSupport.Model.ModelDataContext"
                            TableName="Modules"
                            Where="Installed == @Installed &amp;&amp; LicenseKey != @LicenseKey">
            <WhereParameters>
                <asp:Parameter DefaultValue="True" Name="Installed" Type="Boolean" />
                <asp:Parameter Name="LicenseKey" Type="String" />
            </WhereParameters>
        </asp:LinqDataSource>
        
        <div class="DataListContent">
        
            <asp:DataList ID="DataList1"
                          runat="server"
                          DataKeyField="DeviceId"
                          DataSourceID="LinqDataSource2">
                <HeaderStyle CssClass="DeviceListHeader" />
                <ItemStyle CssClass="DeviceListRow" />
                <AlternatingItemStyle BackColor="Azure" />
                <HeaderTemplate>
                    <div style="float: left; width: 25px;">
                        <asp:CheckBox ID="SelectAllDevicesCheckBox" CssClass="chkHeader" OnClick="javascript:selectAll(this);"
                            Checked="false" runat="server" />
                    </div>
                    <div style="float: left; width: 300px; margin-top: 2px;">
                        <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:DeviceId %>"/>
                    </div>
                    <div style="float: left; width: 300px; margin-top: 2px;">
                        <asp:Literal ID="Literal2" runat="server" Text="<%$ resources:DisplayName %>"/>
                    </div>
                    <div style="float: left; width: 50px; margin-top: 2px;padding-right:5px;">
                        <asp:Literal ID="Literal3" runat="server" Text="<%$ resources:Licenced %>"/>
                    </div>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Panel ID="DataRowPanel" runat="server">
                        <div style="float: left; width: 25px;">
                            <asp:CheckBox ID="SelectDeviceCheckBox"
                                          CssClass="chkItem"
                                          runat="server"
                                          OnClick="javascript:itemChecked(this);" />
                        </div>
                        <div style="float: left; width: 300px">
                            <asp:Label ID="DeviceManufactureIdLabel"
                                       runat="server"
                                       Text='<%# Server.HtmlEncode(Eval("Device.ShortManufactureId").ToString()) %>'
                                       ToolTip='<%#Server.HtmlEncode(Eval("Device.ManufactureId").ToString()) %>'
                                       />
                            <asp:Label ID="DeviceIdLabel"
                                       runat="server"
                                       Visible="false"
                                       Text='<%# Server.HtmlEncode(Eval("Device.DeviceId").ToString()) %>' />
                        </div>
                        <div style="float: left; width: 300px">
                            <asp:Label ID="DisplayNameLabel"
                                       runat="server"
                                       Text='<%# Server.HtmlEncode(Eval("Device.DisplayNameText").ToString()) %>'
                                       ToolTip='<%# Server.HtmlEncode(Eval("Device.DisplayName").ToString()) %>'
                                       />
                        </div>
                        <div style="float: left; width: 50px; padding-right:5px; text-align:center;">
                            <asp:Image ID="IsLicensedImage"
                                       runat="server"
                                       ImageAlign="Middle"
                                       ImageUrl="~/Images/Symbol Check 2.gif"
                                       Visible='<%# Eval("IsLicensed") %>' />
                            <asp:Image ID="Image1"
                                       runat="server"
                                       ImageAlign="Middle"
                                       ImageUrl="~/Images/Symbol Check 2 Disabled.gif"
                                       Visible='<%# !(bool)Eval("IsLicensed") %>' />
                        </div>
                    </asp:Panel>
                    
                    <asp:Panel ID="EditPanel" runat="server">
                        <div style="float: left; width: 100px;margin-top: 2px;">
                            <asp:LinkButton ID="LicenseDeviceLinkButton"
                                            runat="server"
                                            Visible='<%# !(bool)Eval("IsLicensed") %>'
                                            OnCommand="OnLicenseDevice"
                                            CommandArgument='<%# Server.HtmlEncode(Eval("Device.DeviceId").ToString()) %>'
                                            Text="License" />
                            <asp:LinkButton ID="RemoveLicenseDeviceLinkButton"
                                            runat="server"
                                            Visible='<%# Eval("IsLicensed") %>'
                                            OnCommand="OnUnLicenseDevice"
                                            CommandArgument='<%# Server.HtmlEncode(Eval("Device.DeviceId").ToString()) %>'
                                            Text="<%$ resources:RemoveLicense %>" />
                        </div>
                    </asp:Panel>
                    
                    <ajaxToolkit:HoverMenuExtender ID="HoverMenuExtenter"
                                                   runat="Server"
                                                   HoverCssClass="popupHover"
                                                   PopupControlID="EditPanel"
                                                   PopupPosition="Right"
                                                   TargetControlID="DataRowPanel"
                                                   PopDelay="25" />
                </ItemTemplate>
            </asp:DataList>
            
            <br />
            
            <asp:Button ID="LicenseButton" runat="server" Text="<%$ resources:License %>" OnClick="OnLicenseSelected" />
            <asp:Button ID="UnLicenseButton" runat="server" Text="<%$ resources:RemoveLicense %>" OnClick="OnUnLicenseSelected" />
            
            <br />
            <br />
            
            <div style="border-color: #d3d3d3; border-width: 1px; border-style: Solid;">
                <table id="Table1" runat="server" cellpadding="2" cellspacing="1">
                    <tr>
                        <td>
                            <asp:Literal ID="Literal4" runat="server" Text="<%$ resources:TotalDevices %>"/>:
                        </td>
                        <td align="right">
                            <%# TotalDevices%>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Literal ID="Literal5" runat="server" Text="<%$ resources:LicensedDevices %>"/>:
                        </td>
                        <td align="right">
                            <%# LicensedDevices %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Literal ID="Literal6" runat="server" Text="<%$ resources:TotalLicenses %>"/>:
                        </td>
                        <td align="right">
                            <%# NumberOfLicenses%>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Literal ID="Literal7" runat="server" Text="<%$ resources:RemainingLicenses %>"/>:
                        </td>
                        <td align="right">
                            <asp:Label ID="RemainingDevicesLabel" runat="server" Text='<%# NumberOfLicenses - LicensedDevices %>'>
                            </asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:HyperLink ID="BuyMoreLicensesLinkButton" runat="server" NavigateUrl="http://www.bluedotsolutions.com/contact.php" Text="<%$ resources:BuyMore %>"></asp:HyperLink>
                        </td>
                        <td>
                        </td>
                    </tr>
                </table>
            </div>
            
            <asp:LinqDataSource ID="LinqDataSource2"
                                runat="server"
                                ContextTypeName="BlueDot.Eam.Core.ModuleSupport.Model.ModelDataContext"
                                TableName="DeviceModules"
                                Where="ModuleId == @ModuleId"
                                StoreOriginalValuesInViewState="False"
                                OnSelected="OnSelected">
                <WhereParameters>
                    <asp:ControlParameter ControlID="ModuleDropDownList"
                                          Name="ModuleId"
                                          PropertyName="SelectedValue"
                                          Type="Int32" />
                </WhereParameters>
            </asp:LinqDataSource>
            
        </div>
    </asp:Panel>
    <asp:Panel ID="NoModulesPanel" runat="server" BackColor="LightYellow" Visible="false">
        <div class="Intro" style="width: 785px;">
            <div class="Intro" style="vertical-align: middle; display: inline;">
                <p>
                    <asp:Literal ID="Literal8" runat="server" Text="<%$ resources:NoModulesToLicense %>"/>
                </p>
            </div>
        </div>
    </asp:Panel>
</asp:Content>
